package com.jpattern.core;

import com.jpattern.core.IProvider;
import com.jpattern.core.ISystem;

/**
*
* @author ARHS Developments
*         Francesco Cina' - 29/giu/2011 
* @version $Revision
 */
public class SystemProxy implements ISystemProxy<IProvider> {

	private IProvider applicationProvider;
	private static ISystemProxy<IProvider> PROXY = null;
	private final ISystem applicationService;
	
	public SystemProxy(ISystem applicationService, IProvider applicationProvider) {
        this.applicationService = applicationService;
		PROXY = this;
		this.applicationProvider = applicationProvider;
	}
	
	@Override
	public IProvider getProvider() {
	    return applicationProvider;
	}

	@Override
	public ISystem getSystem() {
		return applicationService;
	}   

	public static ISystemProxy<IProvider> proxy() {
		return PROXY;
	}
}
